[**@rxap/components**](../README.md)

***

[@rxap/components](../globals.md) / Segment

# Interface: Segment

Defined in: [json-viewer/json-viewer.component.ts:26](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L26)

## Properties

### description

> **description**: `string`

Defined in: [json-viewer/json-viewer.component.ts:30](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L30)

***

### expanded

> **expanded**: `boolean`

Defined in: [json-viewer/json-viewer.component.ts:31](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L31)

***

### key

> **key**: `string`

Defined in: [json-viewer/json-viewer.component.ts:27](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L27)

***

### type

> **type**: `undefined` \| `string`

Defined in: [json-viewer/json-viewer.component.ts:29](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L29)

***

### value

> **value**: `any`

Defined in: [json-viewer/json-viewer.component.ts:28](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L28)
